Name: rpm-build-ruby
Version: 0.0.3
Release: alt0.M41.1
Serial: 1

Summary: RPM helper scripts to calculate Ruby dependencies
License: GPL
Group: Development/Other

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Source: %name-%version.tar

BuildArch: noarch

Requires: ruby-module-rubynode ruby
Conflicts: rpm-build <= 4.0.4-alt24

AutoReq: yes,noruby

BuildRequires: ruby ruby-module-rubynode

%description
These herlper scripts will look at perl source files in your package,
and will use this information to generate automatic Requires and Provides
tags for the package.

%prep
%setup -q

%build
./test.sh

%install
mkdir -p %buildroot%_rpmlibdir
for f in ruby.req* ruby.prov*; do
  %__install -m755 -p "$f" "%buildroot%_rpmlibdir/$f"
done
%__ln_s ruby.req %buildroot%_rpmlibdir/ruby.prov
%__install -m644 -p rubyreq.rb %buildroot%_rpmlibdir/rubyreq.rb

mkdir -p %buildroot%_sysconfdir/rpm/macros.d
%__install -m644 -p ruby.macros %buildroot%_sysconfdir/rpm/macros.d/ruby
%__install -m644 -p ruby.env %buildroot%_sysconfdir/rpm/macros.d/ruby.env

%files
%_rpmlibdir/ruby.req
%_rpmlibdir/ruby.req.rb
%_rpmlibdir/ruby.req.files
%_rpmlibdir/ruby.prov
%_rpmlibdir/ruby.prov.rb
%_rpmlibdir/ruby.prov.files
%_rpmlibdir/rubyreq.rb
%config %_sysconfdir/rpm/macros.d/ruby
%config %_sysconfdir/rpm/macros.d/ruby.env

%changelog
* Sun Aug 31 2008 Sir Raorn <raorn@altlinux.ru> 1:0.0.3-alt0.M41.1
- Built for 4.1/branch (1:0.0.3-alt1)
- Strip '.rb' extension from requires/provides to reduce apt
  cache size
- Process "weak provides" for *.so modules too
- Use files.req mechanism for directory requires (needs recent
  libruby)
- New macros:
  + %%update_setup_rb: update setup.rb script from ruby-tool-setup package
  + %%ruby_test_unit: run tests with testrb script

* Wed Apr 02 2008 Sir Raorn <raorn@altlinux.ru> 1:0.0.2-alt1
- "class << <var>" block support (kas@)

* Fri Mar 28 2008 Sir Raorn <raorn@altlinux.ru> 1:0.0.1-alt1
- Initial build, based on rpm-build-perl

